#include <iostream>
#include <vector>
#include<map>


#include<tuple>

using namespace std;
#define ll long long


int broj;
void ispisi(int red)                                         
{                                                               

	cout << red << endl;


}

int main()
{
	int n,k;
	cin >> n>>k;
	int prvi = 0;
	int broj;
	cin >> broj;
	prvi = broj;
	if (broj == k)
	{
		cin >> broj;
		cout << broj;
		return 1;

	}
	for (int i = 1; i < n-1; i++)
	{
		
		cin >> broj;
		if (broj == k )
		{
			cin >> broj;
			cout << broj;
			return 1;

		}
		
	
	}
	cin >> broj;
	if (broj == k)
	{
		cout << prvi;
	}

	
}